package com.ibm.commerce.sap.jca.util;

/*
 *-------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. yyyy, 2003
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *-------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its 
//* reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by 
//* actual persons 
//* or business enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*


////////////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD 	WHO    Description
// --------------------------------------------------------------------
// 020525	Rajesh Danda
//
////////////////////////////////////////////////////////////////////////////////


import com.ibm.commerce.ras.*;

public class ECMessageObjectsForSAP {

    static String wcssapResourceBundle = "ecWCSSAPMessages";

    public static ECMessage _ERR_CUSTOMER_CREATE =
        new ECMessage(
            ECMessageSeverity.ERROR,
            ECMessageType.USER,
            ECMessageKeysForSAP._ERR_CUSTOMER_CREATE,
            wcssapResourceBundle);
    public static ECMessage _ERR_CUSTOMER_CHANGE =
        new ECMessage(
            ECMessageSeverity.ERROR,
            ECMessageType.USER,
            ECMessageKeysForSAP._ERR_CUSTOMER_CHANGE,
            wcssapResourceBundle);
    public static ECMessage _ERR_PRIMARY_ADDRESS =
        new ECMessage(
            ECMessageSeverity.ERROR,
            ECMessageType.USER,
            ECMessageKeysForSAP._ERR_PRIMARY_ADDRESS,
            wcssapResourceBundle);
    public static ECMessage _ERR_ORDER_STATUS =
        new ECMessage(
            ECMessageSeverity.ERROR,
            ECMessageType.USER,
            ECMessageKeysForSAP._ERR_ORDER_STATUS,
            wcssapResourceBundle);
    public static ECMessage _ERR_SIMULATE_ORDER =
        new ECMessage(
            ECMessageSeverity.ERROR,
            ECMessageType.USER,
            ECMessageKeysForSAP._ERR_SIMULATE_ORDER,
            wcssapResourceBundle);
    public static ECMessage _ERR_CREATE_ORDER =
        new ECMessage(
            ECMessageSeverity.ERROR,
            ECMessageType.USER,
            ECMessageKeysForSAP._ERR_CREATE_ORDER,
            wcssapResourceBundle);
    public static ECMessage _ERR_MATERIAL_AVAILABILITY =
        new ECMessage(
            ECMessageSeverity.ERROR,
            ECMessageType.USER,
            ECMessageKeysForSAP._ERR_MATERIAL_AVAILABILITY,
            wcssapResourceBundle);
    public static ECMessage _ERR_MISSING_RESOURCE_EXCEPTION =
        new ECMessage(
            ECMessageSeverity.ERROR,
            ECMessageType.USER,
            ECMessageKeysForSAP._ERR_MISSING_RESOURCE_EXCEPTION,
            wcssapResourceBundle);
    public static ECMessage _ERR_JRFC_EXCEPTION =
        new ECMessage(
            ECMessageSeverity.ERROR,
            ECMessageType.USER,
            ECMessageKeysForSAP._ERR_JRFC_EXCEPTION,
            wcssapResourceBundle);        
        
//	public static ECMessage _ERR_RESOURCE_EXCEPTION = new ECMessage(ECMessageSeverity.ERROR,ECMessageType.USER,ECMessageKeysForSAP._ERR_RESOURCE_EXCEPTION,wcssapResourceBundle);	

/**
 * ECMessageObjectsForSAP constructor comment.
 */
public ECMessageObjectsForSAP() {
	super();
}
}
