package com.ibm.commerce.sap.jca.util;

/*
 *-------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. yyyy, 2003
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *-------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its 
//* reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by 
//* actual persons 
//* or business enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*


////////////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD     	WHO    Description
// --------------------------------------------------------------------
// 020525	Rajesh Danda
//
////////////////////////////////////////////////////////////////////////////////


import com.ibm.commerce.util.ResourceBundleHandler;
import java.util.ResourceBundle;

public class PropertiesKeysForSAP {

    public static ResourceBundle sapResourceBundle =
        ResourceBundleHandler.getBundle("SAPproperties");

    public static String _USERID = "_USERID";
    public static String _PASSWD = "_PASSWD";
    public static String _JNDI_RESOURCE = "_JNDI_RESOURCE";
    public static String _INITIAL_CONTEXT_FACTORY = "_INITIAL_CONTEXT_FACTORY";
    public static String _PROVIDER_URL = "_PROVIDER_URL";    
    public static String _LANG = "_LAGNG";

    public static String _SALES_ORGANIZATION = "_SALES_ORGANIZATION";
    public static String _DISTRIBUTION_CHANNEL = "_DISTRIBUTION_CHANNEL";
    public static String _DIVISION = "_DIVISION";


    public static String _PLANT = "_PLANT";

    public static String _DOC_TYPE = "_DOC_TYPE";
	public static String _PART_ROLE_SP = "_PART_ROLE_SP";
	public static String _PART_ROLE_BP = "_PART_ROLE_BP";
	public static String _PART_ROLE_SH = "_PART_ROLE_SH";

	public static String SAPLANG_1 = "SAPLANG_1";
	public static String SAPLANG_2 = "SAPLANG_2";
	public static String _PRODUCT_VENDOR = "_PRODUCT_VENDOR";


/**
 * PropertiesKeysForSAP constructor comment.
 */
public PropertiesKeysForSAP() {
	super();
}
}
